Subject: [TLS] SSL and SHA-256 cipher suites

From: Mike <[email-masked]>
Date: Fri, 25 Apr 2008 22:04:13 -0700

I realize that this list doesn't really care about SSLv3,
but I'm adding the SHA-256 cipher suites to my code and
since I also support SSL, I'd prefer to have them work
with that as well.

The only problem I see is that there is no definition for
pad1 or pad2 for the MAC calculation.  The original design
was to have the pad stretch the MAC secret to 64 bytes,
so extending this to SHA-256 would mean that the two pads
would need to be 32 bytes of 0x36 and 0x5C respectively.

Am I missing something, or is that all that would be
necessary to support these new cipher suites in SSLv3?
Is anyone else planning to add them to their SSL code?

Thanks,

Mike
_______________________________________________
TLS mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/tls